 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */
Page({

    /**
     * 页面的初始数据
     */
    data: {
        categories  : [],     // 分类
        articlesArr : [],     // 列表
        page        : {},     // 分页信息
        lodingStats : false,  // 加载状态
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        // 获取列表
        this.articlesInfo();
    },

    // 列表
    articlesInfo(page){
        wx.$api.health.myFavorite({
            page : page || 1
        }).then(res => {
            let listArr = this.data.articlesArr,
                newData = []
            if(page == 1 || page == undefined) listArr = []
            newData = listArr.concat(res.data.favorites.data)
            this.setData({
                articlesArr : newData,
                page        : res.data.favorites.page,
                lodingStats : false
            })
            wx.stopPullDownRefresh()
        }).catch(err => {})
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        // 获取列表
		this.articlesInfo();
    },

    /**
     * 上拉加载
     */
    onReachBottom(){
        this.setData({
            lodingStats: true
        })
        let pageNumber = this.data.page.current
        if(this.data.page.has_more){
            pageNumber++
            // 获取列表
		    this.articlesInfo(pageNumber);
        }
    }
})